---
title: "Get a blog by id"
url: "https://developer.kong-sales-engineering.com/apis/blog-api/versions/282653c7-b411-4b9b-869c-da03d9b5d1e0/operations/getBlogById"
---

> Full API specification: https://developer.kong-sales-engineering.com/apis/blog-api/versions/282653c7-b411-4b9b-869c-da03d9b5d1e0.md

# Get a blog by id

`GET` `/blogs/{id}`

Operation ID: `getBlogById`

This API gets a blog by ID

## Path parameters

- `id` (string, required) - ID of the blog to retrieve

## Responses

- `200` - Blog

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Blog
  version: 2.3.0
servers:
  - url: https://shared-services.kong-sales-engineering.com
paths:
  /blogs/{id}:
    get:
      operationId: getBlogById
      summary: Get a blog by id
      description: This API gets a blog by ID
      parameters:
        - name: id
          in: path
          description: ID of the blog to retrieve
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Blog
      tags:
        - blog
security:
  - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
```
